// Generic types used throughout the emulator
//
//////////////////////////////////////////////////////////////////////

#if !defined(TYPES_H)
#define TYPES_H

// standard types
typedef unsigned int Word;
typedef unsigned short HalfWord;
typedef unsigned char Byte;

typedef signed int SWord;
typedef signed short SHalfWord;
typedef signed char SByte;

// Just in case
#ifndef TRUE
typedef int BOOL;
#define TRUE 1
#define FALSE 0
#endif

#ifndef NULL
#define NULL 0
#endif

#if defined(WIN32) && defined(_DEBUG)
#ifndef DEBUG_NEW
#define DEBUG_NEW new
#endif
#endif


#endif // TYPES_H